Bug 658034 - File conflicts between libisofs-devel multilib packages in Optional repo
File conflicts between libisofs-devel multilib packages in Optional repo
Status: ASSIGNED
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libisofs (Show other bugs)
6.0
All Linux
medium Severity medium
: rc
: ---
Assigned To: Frantisek Kluknavsky
BaseOS QE - Apps
: Patch
Depends On: 658036 658038 818878
Blocks: 947775 1070830 1159820 644778
  Show dependency treegraph
 
Reported: 2010-11-29 03:19 EST by Alexander Todorov
Modified: 2017-01-09 10:40 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 644778
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexander Todorov 2010-11-29 03:19:12 EST
+++ This bug was initially created as a clone of Bug #644778 +++

Description of problem:
There is a file conflict between many packages (i386 and x86_64) in the optional repository for the Workstation variant, x86_64 arch.

Version-Release number of selected component (if applicable):
RHEL6.0-20100922.1 
yum-3.2.27-14.el6.noarch

How reproducible:
Always

Steps to Reproduce:
1. Do yum localinstall *.rpm inside the optional repository
2.
3.
  
Actual results:
Multiple file conflicts, transaction aborted.

Expected results:
No conflicts

Additional info:
WIll post the entire log in the next comment.

--- Additional comment from atodorov@redhat.com on 2010-10-20 12:05:41 EEST ---

Running rpm_check_debug
Running Transaction Test


Transaction Check Error:
  file /usr/share/doc/libisofs-devel-0.6.32/html/structiso__stream.html conflicts between attempted installs of libisofs-devel-0.6.32-1.el6.i686 and libisofs-devel-0.6.32-1.el6.x86_64
  file /usr/share/doc/libisofs-devel-0.6.32/html/structiso__stream__coll__graph.map conflicts between attempted installs of libisofs-devel-0.6.32-1.el6.i686 and libisofs-devel-0.6.32-1.el6.x86_64
  file /usr/share/doc/libisofs-devel-0.6.32/html/structiso__stream__coll__graph.png conflicts between attempted installs of libisofs-devel-0.6.32-1.el6.i686 and libisofs-devel-0.6.32-1.el6.x86_64
-------------


--- Additional comment from atodorov@redhat.com on 2010-10-20 14:02:24 EEST ---

For the conflicting documentation files see bug #449731 (RHEL4) - it requested that rpm ignores file conflicts under /usr/share/doc to work around several multilib conflicts on ia64.
Comment 1 RHEL Product and Program Management 2011-01-07 11:02:51 EST
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unfortunately unable to
address this request at this time. Red Hat invites you to
ask your support representative to propose this request, if
appropriate and relevant, in the next release of Red Hat
Enterprise Linux. If you would like it considered as an
exception in the current release, please ask your support
representative.
Comment 2 RHEL Product and Program Management 2011-07-05 21:15:15 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unfortunately unable to
address this request at this time. Red Hat invites you to
ask your support representative to propose this request, if
appropriate and relevant, in the next release of Red Hat
Enterprise Linux. If you would like it considered as an
exception in the current release, please ask your support
representative.
Comment 3 Honza Horak 2012-05-04 05:09:04 EDT
Created bug#818878, since conflicts under /usr/share/doc are not considered as error in RHEL-4 and RHEL-5.
Comment 6 RHEL Product and Program Management 2012-09-07 01:04:13 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unable to address this
request at this time.

Red Hat invites you to ask your support representative to
propose this request, if appropriate, in the next release of
Red Hat Enterprise Linux.

Note You need to log in before you can comment on or make changes to this bug.